Debian Bug report logs - #627841
manpages-dev: termios(3) does not mention _POSIX_VDISABLE

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: Paul Evans <leonerd@leonerd.org.uk>

Date: Tue, 24 May 2011 20:33:01 UTC

Severity: minor

Tags: fixed-upstream

Found in version manpages/3.27-1

Fixed in version manpages/3.35-0.1

Done: Simon Paillard <spaillard@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, leonerd@leonerd.org.uk, Martin Schulze <joey@debian.org>:
Bug#627841; Package manpages-dev. (Tue, 24 May 2011 20:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Evans <leonerd@leonerd.org.uk>:
New Bug report received and forwarded. Copy sent to leonerd@leonerd.org.uk, Martin Schulze <joey@debian.org>. (Tue, 24 May 2011 20:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Paul Evans <leonerd@leonerd.org.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: manpages-dev: termios(3) does not mention _POSIX_VDISABLE
Date: Tue, 24 May 2011 21:29:31 +0100
Package: manpages-dev
Version: 3.27-1
Severity: minor

GNU libc / Linux allows disabling a c_cc setting by giving it the
special value _POSIX_VDISABLE. This fact is not mentioned anywhere in
the termios(3) manpage. Perhaps it ought to?

Non-portable code might simply set 0, which happens to be its value on
Linux, but this leads to failures on other OSes, because it has a
different value on most BSDs. There, it has the effect of setting
Ctrl-Space (NUL, 0x00) to the special key instead.

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages manpages-dev depends on:
ii  manpages                      3.27-1     Manual pages about using a GNU/Lin

manpages-dev recommends no packages.

Versions of packages manpages-dev suggests:
ii  man-db [man-browser]          2.5.7-8    on-line manual pager

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#627841; Package manpages-dev. (Fri, 09 Sep 2011 01:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to mtk.manpages@gmail.com:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. (Fri, 09 Sep 2011 01:03:03 GMT) Full text and rfc822 format available.

Message #10 received at 627841@bugs.debian.org (full text, mbox):

From: Michael Kerrisk <mtk.manpages@gmail.com>
To: Paul Evans <leonerd@leonerd.org.uk>, 627841@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#627841: manpages-dev: termios(3) does not mention _POSIX_VDISABLE
Date: Fri, 9 Sep 2011 03:00:17 +0200
tags 627841 fixed-upstream
thanks

On Tue, May 24, 2011 at 10:29 PM, Paul Evans <leonerd@leonerd.org.uk> wrote:
> Package: manpages-dev
> Version: 3.27-1
> Severity: minor
>
> GNU libc / Linux allows disabling a c_cc setting by giving it the
> special value _POSIX_VDISABLE. This fact is not mentioned anywhere in
> the termios(3) manpage. Perhaps it ought to?
>
> Non-portable code might simply set 0, which happens to be its value on
> Linux, but this leads to failures on other OSes, because it has a
> different value on most BSDs. There, it has the effect of setting
> Ctrl-Space (NUL, 0x00) to the special key instead.

Will be fixed in upstream man-pages-3.33.

===
@@ -619,7 +619,13 @@ is set, and then not passed as input.
 (not in POSIX; not supported under Linux;
 status request: 024, DC4, Ctrl-T).
 .LP
-These symbolic subscript values are all different, except that
+An individual terminal special character can be disabled by setting
+the value of the corresponding
+.I c_cc
+element to
+.BR _POSIX_VDISABLE .
+.LP
+The above symbolic subscript values are all different, except that
 .BR VTIME ,
 .B VMIN
 may have the same value as
===

Thanks,

Michael



-- 
Michael Kerrisk
Linux man-pages maintainer; http://www.kernel.org/doc/man-pages/
Author of "The Linux Programming Interface"; http://man7.org/tlpi/




Added tag(s) fixed-upstream. Request was from Michael Kerrisk <mtk.manpages@gmail.com> to control@bugs.debian.org. (Fri, 09 Sep 2011 01:03:07 GMT) Full text and rfc822 format available.

Reply sent to Simon Paillard <spaillard@debian.org>:
You have taken responsibility. (Sun, 18 Dec 2011 22:36:15 GMT) Full text and rfc822 format available.

Notification sent to Paul Evans <leonerd@leonerd.org.uk>:
Bug acknowledged by developer. (Sun, 18 Dec 2011 22:36:15 GMT) Full text and rfc822 format available.

Message #17 received at 627841-close@bugs.debian.org (full text, mbox):

From: Simon Paillard <spaillard@debian.org>
To: 627841-close@bugs.debian.org
Subject: Bug#627841: fixed in manpages 3.35-0.1
Date: Sun, 18 Dec 2011 22:34:42 +0000
Source: manpages
Source-Version: 3.35-0.1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_3.35-0.1_all.deb
  to main/m/manpages/manpages-dev_3.35-0.1_all.deb
manpages_3.35-0.1.diff.gz
  to main/m/manpages/manpages_3.35-0.1.diff.gz
manpages_3.35-0.1.dsc
  to main/m/manpages/manpages_3.35-0.1.dsc
manpages_3.35-0.1_all.deb
  to main/m/manpages/manpages_3.35-0.1_all.deb
manpages_3.35.orig.tar.gz
  to main/m/manpages/manpages_3.35.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 627841@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Simon Paillard <spaillard@debian.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 08 Dec 2011 22:30:21 +0100
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 3.35-0.1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Simon Paillard <spaillard@debian.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 604044 606899 614021 625747 626387 627841 631216 636319 641513 650773
Changes: 
 manpages (3.35-0.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * debian/watch: new upstream url (due to kernel.org issues)
   * Imported Upstream version 3.35 (Closes: #650773):
     . new manpages: recvmmsg.2 rt_tgsigqueueinfo.2 setns.2 syncfs.2
       sigqueue.3 cciss.4 hpsa.4
     . btowc.3, wctob.3: Add pointers to better, thread-safe alternative
       functions (Closes: #606899)
     . capabilities.7: File capabilities no longer optional (Closes: #626387)
     . fflush.3: Fix wording error (Closes: #614021)
     . ipv6.7: Fix description of address notation (Closes: #604044)
     . malloc.3: Fix typo (Closes: #636319)
     . mlock.2: Clarify EINVAL error (Closes: #625747)
     . termios.3: Add documentation of _POSIX_VDISABLE (Closes: #627841)
     . timerfd_create.2: Note behavior when timerdfd_settime() old_value
       is NULL (Closes: #641513)
   * motd.tail.5: generated by bootmisc, motd.5: link is to /var/run/motd
     (Closes: 631216) - thanks to Regid Ichira
Checksums-Sha1: 
 be558cd07e9f51a4ffe775890979059b4902bc5d 1863 manpages_3.35-0.1.dsc
 db2fe88132d9e4f27ed808b413c7a9b3ce5afb56 1688867 manpages_3.35.orig.tar.gz
 07580925d9258b201afbd49e5e8a2edfcc833445 52244 manpages_3.35-0.1.diff.gz
 11b811c957db662f40e419341b58d8813f355a79 762646 manpages_3.35-0.1_all.deb
 5cc984799c9b70abe56f588ca0486498407e9022 1670580 manpages-dev_3.35-0.1_all.deb
Checksums-Sha256: 
 9642c773a65e8bcb41d13b6ba71d1bf037bff5d38d9b64002e0ec83e71c21d08 1863 manpages_3.35-0.1.dsc
 7ed4d47f976ef0da3e3d393b7fad3634a9a54c2007a3212c625d8bd00f583df4 1688867 manpages_3.35.orig.tar.gz
 f04baf8cbf13e626149e98c1b3b90d2c8895a5d33dfa4918faeff16e17fecb8e 52244 manpages_3.35-0.1.diff.gz
 4ce72364e91f4a2c0f17587231eb2349f52eacac26b4621a0ada5fad58942eca 762646 manpages_3.35-0.1_all.deb
 f62fbb5ea5b60549ad9797d74a288464e47cd3164e5dbd54a23abd0a81eb4741 1670580 manpages-dev_3.35-0.1_all.deb
Files: 
 449d5d44cdb7417b8da90a5de8c5eff6 1863 doc important manpages_3.35-0.1.dsc
 e41432ee35a49036bbaf8d4598506e9c 1688867 doc important manpages_3.35.orig.tar.gz
 1b915ccc8debec9e1dd38985bae72c53 52244 doc important manpages_3.35-0.1.diff.gz
 09d139f44f124e94534b1730752200ba 762646 doc important manpages_3.35-0.1_all.deb
 67fd83e43e99a17faadd8990cd2a0ffe 1670580 doc optional manpages-dev_3.35-0.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJO4S5sAAoJEN/3OMLRbPuiAYIP/2xIbVHD5G9P3lSxjSGthQdt
A9SNsdHlwfYOxvuQwRcwGRC4lsjDrEWzYOrE4JpUseY5ZxyK8O11ZDTBQphCvmXK
W2/x7K0I7Vypupq5E5Z+AE4RL0xCGysGscfJ0CQKnl5XH+n0MH604YG1B9zhpg2V
PuTeHXfZWLaeHqU1BlacB9wDowv873RXRoOSoxYofDRW8qn3/wq9/58D+a6C8SkS
XWaHER0+dghFT/p5aYtXsSPo+BGFHXuTqBSsKEV5stRwkuQ3yvqfEVuZ+aq57fnc
d2BYkeLERVBZTmMOQbEtAKhPWuEuMnoiyvb8Hign6IFsR9PSpPbtHYZUIf4eZ0CI
kKDKmBUwQmSaV+WIwf2M8HLp023vH0Pj98BoyDWeZwpvZQ0JVtOCTvRmYkJuoiN/
QxS+/pmBchpAlSA3KcFpdQIAg6CuTVfPi0I8CG2OVyY2809w4lPmOWvBh7iBt9F8
2JES9O1OLzulpC6dtMT5AISJDFkbmDCkDUleAyWG5KGLYBQk+hJvfjZ8BzxlCMpL
2arxcwuJ74cmzuwEHFXT+sj07jS8KsoECV8Ro8TW5RWyVDy/auRIScMgUMz4bucU
YvK6fAulAFDQSEfmsiD8VbQsVQEq5coSQ5wcN5MDhqkHOnbhJBaBBkuFVzNWqWen
imNP1vX0xpIQfwz3X62x
=5K9c
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 26 Jan 2012 07:36:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:51:32 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.